Get the dispatch board
The open cases waiting for an officer, the most urgent and the oldest first; each officer with the cases they are on, those on duty first; any case on somebody who is no longer an officer; and the open cases counted by priority and by zone (for the whole board, whatever zone is asked for). The field team’s, as the cases are.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
field-services
/
board
Get the dispatch board
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/board \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/board', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/board"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"waiting": [
{
"id": "<string>",
"case_number": "2026-0001",
"title": "<string>",
"priority": 1,
"status": "new",
"type": {
"id": "<string>",
"name": "<string>"
},
"address": {},
"address_line": "<string>",
"location_notes": "<string>",
"zone": {
"id": "<string>",
"name": "<string>"
},
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"assigned": {
"id": "<string>",
"name": "<string>"
},
"reported_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"reported_anonymously": true,
"outcome": "resolved",
"outcome_notes": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"activity_count": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"danger": {
"id": "<string>",
"reasons": [
"<string>"
]
}
}
],
"officers": [
{
"person": {
"id": "<string>",
"name": "<string>"
},
"on_duty": true,
"duty_changed_at": "2023-11-07T05:31:56Z",
"is_supervisor": true,
"cases": [
{
"id": "<string>",
"case_number": "2026-0001",
"title": "<string>",
"priority": 1,
"status": "new",
"type": {
"id": "<string>",
"name": "<string>"
},
"address": {},
"address_line": "<string>",
"location_notes": "<string>",
"zone": {
"id": "<string>",
"name": "<string>"
},
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"assigned": {
"id": "<string>",
"name": "<string>"
},
"reported_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"reported_anonymously": true,
"outcome": "resolved",
"outcome_notes": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"activity_count": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"danger": {
"id": "<string>",
"reasons": [
"<string>"
]
}
}
]
}
],
"elsewhere": [
{
"id": "<string>",
"case_number": "2026-0001",
"title": "<string>",
"priority": 1,
"status": "new",
"type": {
"id": "<string>",
"name": "<string>"
},
"address": {},
"address_line": "<string>",
"location_notes": "<string>",
"zone": {
"id": "<string>",
"name": "<string>"
},
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"assigned": {
"id": "<string>",
"name": "<string>"
},
"reported_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"reported_anonymously": true,
"outcome": "resolved",
"outcome_notes": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"activity_count": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"danger": {
"id": "<string>",
"reasons": [
"<string>"
]
}
}
],
"counts": {
"priority": {},
"zone": [
{
"zone": {
"id": "<string>",
"name": "<string>"
},
"open": 123
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
⌘I
Get the dispatch board
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/board \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/board', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/board"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"waiting": [
{
"id": "<string>",
"case_number": "2026-0001",
"title": "<string>",
"priority": 1,
"status": "new",
"type": {
"id": "<string>",
"name": "<string>"
},
"address": {},
"address_line": "<string>",
"location_notes": "<string>",
"zone": {
"id": "<string>",
"name": "<string>"
},
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"assigned": {
"id": "<string>",
"name": "<string>"
},
"reported_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"reported_anonymously": true,
"outcome": "resolved",
"outcome_notes": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"activity_count": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"danger": {
"id": "<string>",
"reasons": [
"<string>"
]
}
}
],
"officers": [
{
"person": {
"id": "<string>",
"name": "<string>"
},
"on_duty": true,
"duty_changed_at": "2023-11-07T05:31:56Z",
"is_supervisor": true,
"cases": [
{
"id": "<string>",
"case_number": "2026-0001",
"title": "<string>",
"priority": 1,
"status": "new",
"type": {
"id": "<string>",
"name": "<string>"
},
"address": {},
"address_line": "<string>",
"location_notes": "<string>",
"zone": {
"id": "<string>",
"name": "<string>"
},
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"assigned": {
"id": "<string>",
"name": "<string>"
},
"reported_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"reported_anonymously": true,
"outcome": "resolved",
"outcome_notes": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"activity_count": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"danger": {
"id": "<string>",
"reasons": [
"<string>"
]
}
}
]
}
],
"elsewhere": [
{
"id": "<string>",
"case_number": "2026-0001",
"title": "<string>",
"priority": 1,
"status": "new",
"type": {
"id": "<string>",
"name": "<string>"
},
"address": {},
"address_line": "<string>",
"location_notes": "<string>",
"zone": {
"id": "<string>",
"name": "<string>"
},
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"assigned": {
"id": "<string>",
"name": "<string>"
},
"reported_at": "2023-11-07T05:31:56Z",
"due_on": "2023-12-25",
"reported_anonymously": true,
"outcome": "resolved",
"outcome_notes": "<string>",
"opened_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"activity_count": 123,
"last_activity_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"danger": {
"id": "<string>",
"reasons": [
"<string>"
]
}
}
],
"counts": {
"priority": {},
"zone": [
{
"zone": {
"id": "<string>",
"name": "<string>"
},
"open": 123
}
]
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
